# IExtPackBase Interface Reference

Interface for querying information about an extension pack as well as accessing COM objects within it. More...

Inheritance diagram for IExtPackBase:

List of all members.

## Public Member Functions
void | queryLicense (in wstring preferredLocale, in wstring preferredLanguage, in wstring format,[retval] out wstring licenseText)
| Full feature version of the license attribute.
## Public Attributes
readonly attribute wstring | name
| The extension pack name.
readonly attribute wstring | description
| The extension pack description.
readonly attribute wstring | version
| The extension pack version string.
readonly attribute unsigned long | revision
| The extension pack internal revision number.
readonly attribute wstring | VRDEModule
| The name of the VRDE module if the extension pack sports one.
readonly attribute IExtPackPlugIn[] | plugIns
| Plug-ins provided by this extension pack.
readonly attribute boolean | usable
| Indicates whether the extension pack is usable or not.
readonly attribute wstring | whyUnusable
| String indicating why the extension pack is not usable.
readonly attribute boolean | showLicense
| Whether to show the license before installation.
readonly attribute wstring | license
| The default HTML license text for the extension pack.

## Detailed Description

Interface for querying information about an extension pack as well as accessing COM objects within it.

Interface ID:
  `{5FFB0B64-0AD6-467D-AF62-1157E7DC3C99}`

## Member Function Documentation

void IExtPackBase::queryLicense | ( | in wstring | preferredLocale,
|  | in wstring | preferredLanguage,
|  | in wstring | format,
|  | [retval] out wstring | licenseText |
| ) |  |  |

Full feature version of the license attribute.

Parameters:

  | preferredLocale | The preferred license locale. Pass an empty string to get the default license.
  | preferredLanguage | The preferred license language. Pass an empty string to get the default language for the locale.
  | format | The license format: html, rtf or txt. If a license is present there will always be an HTML of it, the rich text format (RTF) and plain text (txt) versions are optional. If
  | licenseText | The license text.

## Member Data Documentation

readonly attribute wstring IExtPackBase::name

The extension pack name.

This is unique.

readonly attribute wstring IExtPackBase::description

The extension pack description.

readonly attribute wstring IExtPackBase::version

The extension pack version string.

This is on the same form as other VirtualBox version strings, i.e.: "1.2.3", "1.2.3_BETA1", "1.2.3-OSE", "1.2.3r45678", "1.2.3r45678-OSE", "1.2.3_BETA1-r45678" or "1.2.3_BETA1-r45678-OSE"

readonly attribute unsigned long IExtPackBase::revision

The extension pack internal revision number.

readonly attribute wstring IExtPackBase::VRDEModule

The name of the VRDE module if the extension pack sports one.

readonly attribute IExtPackPlugIn [] IExtPackBase::plugIns

Plug-ins provided by this extension pack.

readonly attribute boolean IExtPackBase::usable

Indicates whether the extension pack is usable or not.

There are a number of reasons why an extension pack might be unusable, typical examples would be broken installation/file or that it is incompatible with the current VirtualBox version.

readonly attribute wstring IExtPackBase::whyUnusable

String indicating why the extension pack is not usable.

This is an empty string if usable and always a non-empty string if not usable.

readonly attribute boolean IExtPackBase::showLicense

Whether to show the license before installation.

readonly attribute wstring IExtPackBase::license

The default HTML license text for the extension pack.

Same as calling queryLicense with preferredLocale and preferredLanguage as empty strings and format set to html.